%define oname xfce4-xmms-plugin

Summary: 	XMMS control plugin for the Xfce panel
Name: 		xfce-xmms-plugin
Version: 	0.3.1
Release: 	%mkrel 1
License:	BSD
URL: 		http://xfce4-goodies.berlios.de
Source0: 	xfce4-xmms-plugin-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.1.99.1
Requires:	xmms
BuildRequires:	xfce-panel-devel >= 4.1.99.1
BuildRequires:	xmms-devel

%description
An XMMS control panel plugin for the Xfce Desktop Environment.


%prep
%setup -q -n xfce4-xmms-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

# 0.1.1: install of png files breaks
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xfce4/xmms-plugin
mv $RPM_BUILD_ROOT$RPM_BUILD_ROOT%{_datadir}/xfce4/xmms-plugin/* \
	$RPM_BUILD_ROOT%{_datadir}/xfce4/xmms-plugin/


rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.*a

%find_lang %{oname} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/xfce4/panel-plugins/*
%dir %{_datadir}/xfce4/xmms-plugin
%{_datadir}/xfce4/xmms-plugin/*

%changelog
* Wed Jul 27 2005 Marcel Pol <mpol@mandrake.org> 0.3.1-1mdk
- 0.3.1
- %%mkrel
- fix file naming and locations

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.1.1-3mdk
- group: Graphical desktop/Xfce

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 0.1.1-2mdk
- reenable libtoolize
- build against new panel

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 0.1.1-1mdk
- initial mandrake package

